#include "CallbackClock.h"
#include <iostream>

using namespace std;

void tick(void* data)
{
    cout << (const char*)data << endl;
}

const char* txt = "tick tack";

int main()
{
    midi::CallbackClock c(&tick, (void*)txt);
    c.setBpm(60);
    
    cout << "initialized" << txt << (void*)txt << endl;

    c.tick();
    c.tick();

    c.start();
    cout << "started" << endl;

    while(true) {
        midi::CallbackClock::bpm_type bpm;
        cin >> bpm;
        if(bpm == 0) {
            c.stop();
            break;
        }
        c.setBpm(bpm);
    }

    return 0;
}
