#include "LaunchpadColor.h"

namespace midi {

LaunchpadColor::LaunchpadColor()
	: red(0), green(0)
{
}

LaunchpadColor::LaunchpadColor(unsigned char r, unsigned char g)
	: red(r), green(g)
{
}

bool LaunchpadColor::operator==(const LaunchpadColor& color) const
{
	return red == color.red && green == color.green;
}

bool LaunchpadColor::operator!=(const LaunchpadColor& color) const
{
	return !operator==(color);
}

} // namespace
